### Virtual Method

# Aravis DomDocument create_element

#### Declaration [src]

    ArvDomElement*
    create_element (
      ArvDomDocument* self,
      const char* tag_name
    )

#### Description [src]

Create a new element.

#### Parameters

`tag_name`

  Type: `const char*`

  Node name of the element to create.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ArvDomElement`

A new orphan `ArvDomElement`, NULL on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.